package _VisualDVM.ProjectData.DBArray;
import Common.Database.Tables.DBTable;
import Common.Visual.DataSetControlForm;
import _VisualDVM.ProjectData.DBArray.UI.DBArraysForm;

import javax.swing.*;
public class ArraysDBTable extends DBTable<String, DBArray> {
    public ArraysDBTable() {
        super(String.class, DBArray.class);
    }
    @Override
    public String getSingleDescription() {
        return "массив";
    }
    @Override
    public String getPluralDescription() {
        return "сохранённые состояния";
    }
    @Override
    protected DataSetControlForm createUI(JPanel mountPanel) {
        return new DBArraysForm(this, mountPanel);
    }
}
